<!-- FILE FOR APK -->
<?php include("apk_top.php"); ?>

<?php

// Function that read $sensor data from $dbname
function get_reading($sensor, $dbname) {
echo "<h3>Last reading:</h3>";
echo "<b>Sensor: </b>".$sensor."<br>";

	include('dbconfig.php');	# Get database config

	// Prepare to connect to the mySQL database
	$connection = new mysqli($servername, $username, $password, $dbname);

	// Check if connection is OK
	if ($connection->connect_error){
		die ("Connection failed: ".$connection->db_connect_error);
	}

	// Connect and get the data, sorted by ID, listed in descentant, and 1 result
	$sql = "SELECT id, timestamp, temperature, humidity, sensor FROM tbl_temperature WHERE sensor='$sensor' ORDER BY id DESC LIMIT 1";
	$result = $connection->query($sql);

	// We have at least one result, show it.
	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {	
			$rest = substr($row["timestamp"], -8);		
			echo "<b>Time: </b>".$rest."<br><b>Celsius: </b>".$row["temperature"]." &#8451<br><b>Humidity: </b>".$row["humidity"]." %RH<br><br>";
		}
	} else {
		echo "<p>0 results</p>";
	}

	// To get the lowest temperature
	$sql = "SELECT * FROM tbl_temperature WHERE (sensor='$sensor') ORDER BY temperature ASC LIMIT 1";
	$result = $connection->query($sql);

	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {	
		$min_temp = $row["temperature"];
		$min_dtg = $row['timestamp'];
		#echo "<b>Min : </b>".$min_temp." &#8451<br>"; #&#8451 = degree sign and C
		}
	} else {
		echo "<p>0 results</p>";
	}	
		// To get the lowest humidity
	$sql = "SELECT * FROM tbl_temperature WHERE (sensor='$sensor') ORDER BY humidity ASC LIMIT 1";
	$result = $connection->query($sql);

	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {	
		$min_humi = $row["humidity"];
		$min_dtg = $row['timestamp'];
		#echo "<b>Min : </b>".$min_humi." %RH<br>"; 
		}
	} else {
		echo "<p>0 results</p>";
	}

	// To get the highest temperature
	$sql = "SELECT * FROM tbl_temperature WHERE (sensor='$sensor') ORDER BY temperature DESC LIMIT 1";
	
	$result = $connection->query($sql);

	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {	
		$max_temp = $row["temperature"];
		$max_dtg = $row['timestamp'];
		#echo "<b>Max : </b>".$max_temp." &#8451<br>";		
		}
	} else {
		echo "<p>0 results</p>";
	}
	// To get the highest humidity
	$sql = "SELECT * FROM tbl_temperature WHERE (sensor='$sensor') ORDER BY humidity DESC LIMIT 1";
	
	$result = $connection->query($sql);

	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {	
		$max_humi = $row["humidity"];
		$max_dtg = $row['timestamp'];
		}
	} else {
		echo "<p>0 results</p>";
	}	

$connection->close();
echo "<b>Min : </b>".$min_temp." &#8451 - ".$min_humi." %RH<br>"; #&#8451 = degree sign and C
echo "<b>Max : </b>".$max_temp." &#8451 - ".$max_humi." %RH<br>";
} // end get_last


// When the page is loaded, here is where it starts "working"
if(isset($_GET['action'])) {

$actions = $_GET['action'];

switch ($actions) {
	case 'fortuna':
		$sensor = 'fortuna';
		$dbname = 'db_Fortuna';
		get_reading($sensor, $dbname);
	break;
	case 'kajsa':
		$sensor = 'kajsa';
		$dbname = 'db_Kajsa';
		get_reading($sensor, $dbname);
		break;
	case 'home';
		$sensor = 'home';
		$dbname = 'db_Home';
		get_reading($sensor, $dbname);
		break;
	default:
		echo "<center><h1>Nothing to see here. Move on!</h1></center>";	
		break;
}



}
else{
	echo "<h1><center>It seems like you've found this page by a coincident. There's nothing here for you.</center></p>";
}


?>

<?php include("apk_end.php"); ?>
